%
1;

params = [
	  0.0, 0.1;
	  0.0, 3.0;
	  4.0, 0.5;
	  -5,  0.5;
];
	  
x = (-7:.01:7);
hold off;
clf;

ss = {};
for i = 1 : size(params, 1)
  mu = params(i, 1);
  v =  params(i, 2);
  y = gaussian1D(mu, v, x);
  % fmt = sprintf("-;p(x|m=%d,v=%g);", mu, v);
  % plot(x, y, fmt);
  plot(x, y);
  if( i == 1)
    hold on;
  end
  ss(i) = cellstr( sprintf('p(x|m=%d,v=%g)', mu, v) );
end

legend(ss)


