%
1;

mu = [0 0];
S = [2 -1; -1 2];

var = diag(S);

maxsd = max(var(1),var(2));

x = mu(1)-2*maxsd:0.1:mu(1)+2*maxsd;
y = mu(2)-2*maxsd:0.1:mu(2)+2*maxsd;

% Get the number of data
N = length(x);
% (Inefficient) Compute the Gaussian pdf for each (x,y) pair
% z = zeros(N, N);
[xx, yy] = meshgrid(x, y);

% NB: the following gaussianMV() is the version shown in Lab 7, which
%     accepts multiple input data points.
z1 = gaussianMV(mu, S, [xx(:) yy(:)]);
z = reshape(z1, size(xx));


